<?php

namespace IvyWay\SlackBot\Facades;

use Illuminate\Support\Facades\Facade;
use Psr\Http\Message\ResponseInterface;

/**
 * @method static ResponseInterface postMessage(string $channel, string $text)
 * @method static ResponseInterface postMessageToFeedbacks(string $text)
 *
 * @see \IvyWay\SlackBot\SlackBot
 */
class SlackBot extends Facade
{
    /**
     * Get the registered name of the component.
     *
     * @return string
     */
    protected static function getFacadeAccessor()
    {
        return 'slack-bot';
    }
}