<?php

namespace IvyWay\SlackBot\Tests;

use IvyWay\SlackBot\Facades\SlackBot;

class SlackBotTest extends TestCase
{
    protected function setUp(): void
    {
        parent::setUp();

        $this->app['config']->set('services.slack.token', 'xoxb-1132163183939-1164844927877-6hJxxkHc76vlW1HBNqOIhyxQ');
    }

    /**
     * @return void
     */
    public function testPostMessage()
    {
        $response = SlackBot::postMessage('feedbacks','SlackBot Post Message Unit Test');

        $responseContent = json_decode($response->getBody()->getContents(),true);

        $this->assertTrue($responseContent['ok']);
    }

    /**
     * @return void
     */
    public function testPostMessageToFeedbacks()
    {
        $response = SlackBot::postMessageToFeedbacks('SlackBot Post Message To Feedbacks Unit Test');

        $responseContent = json_decode($response->getBody()->getContents(),true);

        $this->assertTrue($responseContent['ok']);
    }
}
