<?php

namespace IvyWay\SlackBot;

use GuzzleHttp\Client;
use Illuminate\Support\ServiceProvider;

class SlackBotServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->singleton('slack-bot', function() {
            return new SlackBot(new Client());
        });
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}