<?php

namespace IvyWay\SlackBot\Tests;

use Illuminate\Foundation\Application;
use IvyWay\SlackBot\Facades\SlackBot;
use IvyWay\SlackBot\SlackBotServiceProvider;
use Orchestra\Testbench\TestCase as OrchestraTestCase;

class TestCase extends OrchestraTestCase
{
    /**
     * @param  Application  $app
     * @return array
     */
    protected function getPackageProviders($app)
    {
        return [
            SlackBotServiceProvider::class,
        ];
    }

    /**
     * @param  Application  $app
     * @return array
     */
    protected function getPackageAliases($app)
    {
        return [
            'slack-bot' => SlackBot::class,
        ];
    }
}